# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}

Name:           netbeans-javaparser
Version:        7.0.1
Release:        6%{?dist}
Summary:        NetBeans Java Parser
License:        GPLv2 with exceptions
Url:            http://netbeans.org/
Group:          Development/Libraries
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# hg clone http://hg.netbeans.org/main/nb-javac/
# cd nb-javac/
# hg update -r release701_base
# hg archive ../netbeans-javaparser-7.0.1.tar.gz
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  ant
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils

Requires:       java >= 1:1.6.0
Requires:       jpackage-utils

BuildArch:      noarch

%description
Java parser to analyze Java source files inside of the NetBeans IDE

%prep
%setup -q
# remove all binary libs
find . -name "*.jar" -exec %__rm -f {} \;

%build
%ant -f make/netbeans/nb-javac/build.xml jar

%install

# jar
%__install -d -m 755 %{buildroot}%{_javadir}
%__install -m 644 make/netbeans/nb-javac/dist/javac-api.jar %{buildroot}%{_javadir}/%{name}-api.jar
%__install -m 644 make/netbeans/nb-javac/dist/javac-impl.jar %{buildroot}%{_javadir}/%{name}-impl.jar

%files
%doc ASSEMBLY_EXCEPTION LICENSE README
%{_javadir}/*


%changelog
* Sat Aug 31 2013 Mat Booth <fedora@matbooth.co.uk> - 7.0.1-6
- Drop unnecessary BR on ant-nodeps, rhbz #992347

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Omair Majid <omajid@redhat.com> - 7.0.1-1
- Update to 7.0.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 20 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.9-1
- re-base 6.9

* Tue Jan 26 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.8-1
- re-base 6.8

* Wed Dec 24 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.7.1-1
- re-base 6.7.1

* Wed Dec 24 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.5-1
- New vesion of sources
- Call of the brp-java-repack-jars script is disabled

* Wed Aug 13 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.1-2
- java-devel & jpackage-utils are added as the build requirements
- jpackage-utils is added as the run-time requirement
- An appropriate value of Group Tag is chosen from the official list
- The package documentation is added

* Fri Jul 11 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.1-1
- Use ant build.xml updated for 6.1
- Sources for 6.1
- Changing for Fedora
* Wed Jan 23 2008 Jaroslav Tulach <jtulach@mandriva.org> 6.0-3mdv2008.1
+ Revision: 157149
- Updated to new upstream source package

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:6.0-2mdv2008.1
+ Revision: 120969
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Tue Dec 11 2007 Jaroslav Tulach <jtulach@mandriva.org> 0:6.0-1mdv2008.1
+ Revision: 117585
- Initial version of the NetBeans javaparser library
- create libnb-javaparser
